View Issue Details

IDProjectCategoryView StatusLast Update
0003123Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.207 
Summary0003123: slider for "VOX Delay" in Rig Control is flaky on many Yaesu radios
DescriptionThe "VOX Delay" slider for the FT-891 doesn't reliably work, and doesn't crisply set the radio's setting. This is mostly due to the failure of Rig Control to round the setting to valid values.
Steps To Reproduce1) Get Rig Control started and connect to an FT-891
2) Be sure the "VOX Delay" slider is visible
3) Hold the "F" button in the radio to display the settings menu
4) Use the Multi knob to Select the "VOX DELAY" setting, which is "16-18"
5) Move the Rig Control slider

BUG#1) The radio setting usually changes, but sometimes not; and sometimes only after a delay. This is caused, in part, by the control failing to round. The control is sending "1168ms", for example, when the radio only accepts "1160ms" or "1170ms" as valid settings.

TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0003057 new 3 - Current Dev List Rig Control would benefit from an expressive, formula-oriented mechanism for calculating distinct setting values 
related to 0003233 closedK7ZCZ Ham Radio Deluxe Rig Control could have rounding in steps for its sliders 

Activities

K7ZCZ

2019-01-27 11:23

administrator   ~0007087

I believe a fix for 3057 would help address this issue

K7ZCZ

2019-03-07 08:36

administrator   ~0007624

This issue was originally specific to the FT-891.

I've made a similar fix for the FT-450, FT-950, FTDX-3000, FT-991/A, FT-891, FTDX-1200, FT-2000, FTDX-9000, and FTDX-5000, all in this change set:

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4883

 

WA9PIE

2019-03-26 15:15

administrator   ~0007764

Validated during tests at HRO - Plano (TX)

Issue History

Date Modified Username Field Change
2019-01-27 11:22 K7ZCZ New Issue
2019-01-27 11:23 K7ZCZ Note Added: 0007087
2019-01-27 11:23 K7ZCZ Relationship added related to 0003057
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-03-06 09:45 K7ZCZ Relationship added related to 0003233
2019-03-07 08:36 K7ZCZ Summary FT-891 slider for "VOX Delay" in Rig Control is flaky => slider for "VOX Delay" in Rig Control is flaky on many Yaesu radios
2019-03-07 08:36 K7ZCZ Description Updated View Revisions
2019-03-07 08:36 K7ZCZ Steps to Reproduce Updated View Revisions
2019-03-07 08:36 K7ZCZ Assigned To => K7ZCZ
2019-03-07 08:36 K7ZCZ Status new => resolved
2019-03-07 08:36 K7ZCZ Resolution open => fixed
2019-03-07 08:36 K7ZCZ Note Added: 0007624
2019-03-08 12:40 K7ZCZ Fixed in Version => 6.5.0.202
2019-03-26 15:15 WA9PIE Status resolved => closed
2019-03-26 15:15 WA9PIE Testing Not Started => Beta Successful
2019-03-26 15:15 WA9PIE Note Added: 0007764
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.202 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe